LFR-FSW - Bug #99

Plantage FSW LFR sur fine time de CP_LFR_ENTER_MODE_TIME (TC_LFR_ENTER_MODE) non nul
19/03/2014 05:28 PM - Gerald Saule

Status: Closed Start date: 19/03/2014
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Les transitions de mode étant faites a la réception du time code (pour des raisons de synchronisation de I'ensemble des
équipements), la partie 'fine time' du champ CP_LFR_ENTER_MODE_TIME de TC_LFR_ENTER_MODE est non pertinente.

Néanmoins, un 'fine time' non nul ne devrait pas planter le LFR. La video jointe montre que le soft freeze (pas d'ack malgré les 4s
d'ettente). Pour info, I''HM LPPMON se ferme ensuite toute seule.

Le comportement nominal pourrait alors étre un rejet (ou une non prise en compte de la partie 'fine time').
Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série Il (sans connecteurs sub-click)
Vhdl: mini-Ilfr_0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0070
RPW-SYS-IDB-00067-LES Issuel_Rev8

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 25/03/2014 03:20 PM - paul leroy

- Status changed from New to Resolved

Plantage non reproduit avec fsw = 1.0.0.3 en développement.
Test relancé (dépot VALIDATION, changeset 6, b518198185af):

SVS-0069/activateLfrMode0.py

Par principe, noter que le fine time n'a pas d'influence sur la fagon dont TC_LFR_ENTER_MODE est traitée, I'origine du plantage ne peut pas étre
liée au fine time..

#2 - 15/05/2014 12:07 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

#3 - 17/06/2014 12:55 PM - bruno katra

- Status changed from Resolved to Closed

Retesté en 1.0.0.10 : un fine_time non nul ne fait plus panter le soft.
Le script de test de Gérald de la vidéo n'existait plus dans le répertoire, le seul présent ne provoquait jamais I'envoi de ine time non nul.
Nous avons réécrit un script pour provoquer I'événement.

12:40:09.021367, TC_LFR_ENTER_MODE (CP_LFR_MODE=2), CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=6246, (PACKET_SEQUENCE_CONTROL=0xd866), PACKET_LENGTH=13, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: ENTER_MODE = 41, SOURCE_ID:
MISSION_TIMELINE = 110, SPARE=0, CP_LFR_MODE: BURST = 2, CP_LFR_ENTER_MODE_TIME=0x000000000003, CRC = 0x7183

12:40:09.041421, TM_LFR_TC_EXE_SUCCESS

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série lll (sans connecteurs sub-click)
Vhdl: mini-lfr_0.1.16

Soft: 1.0.0.10 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

script = activateLfrMode0Q_finetime_not_nul.py dans SVS-0069
RPW-SYS-IDB-00067-LES Issuel_Rev8

RPW-SYS-MEB-LFR-ICD-00097 Issue3_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

Files

Capture d_écran vidéo de 19-03-2014 17_06_50.webm 934 KB 19/03/2014 Gerald Saule
